package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrCleaning;

/**
 * 设备清洁Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrCleaningService 
{
    /**
     * 查询设备清洁
     * 
     * @param id 设备清洁ID
     * @return 设备清洁
     */
    public TPssrCleaning selectTPssrCleaningById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询设备清洁列表
     * 
     * @param tPssrCleaning 设备清洁
     * @return 设备清洁集合
     */
    public List<TPssrCleaning> selectTPssrCleaningList(TPssrCleaning tPssrCleaning);

    /**
     * 新增设备清洁
     * 
     * @param tPssrCleaning 设备清洁
     * @return 结果
     */
    public int insertTPssrCleaning(TPssrCleaning tPssrCleaning);

    /**
     * 修改设备清洁
     * 
     * @param tPssrCleaning 设备清洁
     * @return 结果
     */
    public int updateTPssrCleaning(TPssrCleaning tPssrCleaning);

    /**
     * 批量删除设备清洁
     * 
     * @param ids 需要删除的设备清洁ID
     * @return 结果
     */
    public int deleteTPssrCleaningByIds(Long[] ids);

    /**
     * 删除设备清洁信息
     * 
     * @param id 设备清洁ID
     * @return 结果
     */
    public int deleteTPssrCleaningById(Long id);
}
